#!/bin/bash

# $1 - FTRN Saftlib name


echo "Enabling MTCA.4 PORT 12-15 test" | tee resp.txt
saft-io-ctl $1 -n LED_USR1 -d 1
saft-io-ctl $1 -n LED_USR2 -d 1
saft-io-ctl $1 -n LED_USR3 -d 0
saft-io-ctl $1 -n LED_USR4 -d 0
saft-io-ctl $1 -n HWT_EN -d 1


echo "Check that BLUE IO LEDs blink with then press ENTER else press ESC" | tee -a resp.txt
read -s -n 1 ANS
if [ "$ANS" = $'\e' ];then
  echo "Binary count NOT visible on RED IO LEDs" | tee -a  resp.txt  
  echo "PTS_STATUS: Failed (64)" | tee -a  resp.txt  
  exit	
else
  echo "Binary count visible on RED IO LEDs" | tee -a resp.txt
fi


saft-io-ctl $1 -n LED_USR1 -d 0
saft-io-ctl $1 -n LED_USR2 -d 0
saft-io-ctl $1 -n LED_USR3 -d 0
saft-io-ctl $1 -n LED_USR4 -d 0
saft-io-ctl $1 -n LED_USR8 -d 0
saft-io-ctl $1 -n HWT_EN -d 0
saft-io-ctl $1 -n IO_CLKIN_EN -d 0

echo "--------------------------------------------------------------"
echo "PTS_STATUS: OK" | tee -a  resp.txt  

echo ""

