#!/bin/bash

IOS="MTCA4_IO1 MTCA4_IO2 MTCA4_IO3 MTCA4_IO4 MTCA4_IO5 MTCA4_IO6 MTCA4_IO7 MTCA4_IO8 MTCA4_CLK1 MTCA4_CLK2 MTCA4_CLK3 MTCA4_CLK4 IO1 IO2 IO3 IO4 IO5 LIBERA_TR1 LIBERA_TR2 LIBERA_TR3 LIBERA_TR4"

saft-io-ctl ftrn -i | grep LEMO

echo "Connect LEMO1 to LEMO 3 then press ENTER"
echo "LEMO 1 out to LEMO 3 in, term off"
saft-io-ctl ftrn -o 0 -t 0 -d 0 -n IO3
saft-io-ctl ftrn -o 1 -t 0 -d 0 -n IO1
read -p "Check that LEVEL is 0V then press ENTER"

saft-io-ctl ftrn -o 1 -t 0 -d 1 -n IO1
read -p "Check that LEVEL is 3V then press ENTER"

saft-io-ctl ftrn -o 0 -t 1 -d 0 -n IO3
read -p "Termination enabled! Check that LEVEL dropped <3V then press ENTER"

saft-io-ctl ftrn -o 1 -t 0 -d 0 -n IO1


echo "LEMO 3 out to LEMO 1 in, term off"
saft-io-ctl ftrn -o 0 -t 0 -d 0 -n IO1
saft-io-ctl ftrn -o 1 -t 0 -d 0 -n IO3
read -p "Check that LEVEL is 0V then press ENTER"

saft-io-ctl ftrn -o 1 -t 0 -d 1 -n IO3
read -p "Check that LEVEL is 3V then press ENTER"

saft-io-ctl ftrn -o 0 -t 1 -d 0 -n IO1
read -p "Termination enabled! Check that LEVEL dropped <3V then press ENTER"

saft-io-ctl ftrn -o 1 -t 0 -d 0 -n IO3



echo "Connect LEMO2 to LEMO 4 then press ENTER"
echo "LEMO 2 out to LEMO 4 in, term off"
saft-io-ctl ftrn -o 0 -t 0 -d 0 -n IO4
saft-io-ctl ftrn -o 1 -t 0 -d 0 -n IO2
read -p "Check that LEVEL is 0V then press ENTER"

saft-io-ctl ftrn -o 1 -t 0 -d 1 -n IO2
read -p "Check that LEVEL is 3V then press ENTER"

saft-io-ctl ftrn -o 0 -t 1 -d 0 -n IO4
read -p "Termination enabled! Check that LEVEL dropped <3V then press ENTER"

saft-io-ctl ftrn -o 1 -t 0 -d 0 -n IO2

echo "LEMO 4 out to LEMO 2 in, term off"
saft-io-ctl ftrn -o 0 -t 0 -d 0 -n IO2
saft-io-ctl ftrn -o 1 -t 0 -d 0 -n IO4
read -p "Check that LEVEL is 0V then press ENTER"

saft-io-ctl ftrn -o 1 -t 0 -d 1 -n IO4
read -p "Check that LEVEL is 3V then press ENTER"

saft-io-ctl ftrn -o 0 -t 1 -d 0 -n IO2
read -p "Termination enabled! Check that LEVEL dropped <3V then press ENTER"

saft-io-ctl ftrn -o 1 -t 0 -d 0 -n IO4



read -p "Connect LEMO2 to LEMO 5 then press ENTER"
echo "LEMO 1 out to LEMO 5 in, term off"
saft-io-ctl ftrn -o 0 -t 0 -d 0 -n IO5
saft-io-ctl ftrn -o 1 -t 0 -d 0 -n IO2
read -p "Check that LEVEL is 0V then press ENTER"

saft-io-ctl ftrn -o 1 -t 0 -d 1 -n IO2
read -p "Check that LEVEL is 3V then press ENTER"

saft-io-ctl ftrn -o 0 -t 1 -d 0 -n IO5
read -p "Termination enabled! Check that LEVEL dropped <3V then press ENTER"

saft-io-ctl ftrn -o 1 -t 0 -d 0 -n IO2

echo "LEMO 5 out to LEMO 2 in, term off"
saft-io-ctl ftrn -o 0 -t 0 -d 0 -n IO2
saft-io-ctl ftrn -o 1 -t 0 -d 0 -n IO5
read -p "Check that LEVEL is 0V then press ENTER"

saft-io-ctl ftrn -o 1 -t 0 -d 1 -n IO5
read -p "Check that LEVEL is 3V then press ENTER"

saft-io-ctl ftrn -o 0 -t 1 -d 0 -n IO2
read -p "Termination enabled! Check that LEVEL dropped <3V then press ENTER"

saft-io-ctl ftrn -o 1 -t 0 -d 0 -n IO5


echo "Test finished!"

