#!/bin/bash

if [ -z $1 ]; then
  echo "arg1 : valid path to PTS folder"
  exit 64
fi

PTS_PATH=$1

echo "################################################################################" | tee resp.txt
echo "Reading UID" | tee -a resp.txt

FTRN_TTY=`$PTS_PATH/utils/find_ftrn_ttyUSB.sh`
	
echo "Found FTRN USB device : $FTRN_TTY" | tee -a resp.txt

TS_UID=`eb-mon "dev/$FTRN_TTY" -w0 -b0 -f0x28`

if [[ ${#TS_UID} -eq 18 ]]; then
  echo "UID:$TS_UID" | tee -a resp.txt
  echo "PTS_STATUS: OK" | tee -a resp.txt
  exit 0
else
  echo "PTS_STATUS: Could not read UID" | tee -a resp.txt
  exit 64 # error
fi


